Skip to main content
GET
/
tokens
Search tokens
curl --request GET \
  --url https://api-partner.houdiniswap.com/v2/tokens \
  --header 'Authorization: <api-key>'
{
  "tokens": [
    {
      "icon": "<string>",
      "id": "<string>",
      "address": "<string>",
      "chain": "<string>",
      "created": "2023-11-07T05:31:56Z",
      "chainData": {
        "icon": "<string>",
        "addressValidation": "<string>",
        "tokenAddressValidation": "<string>",
        "id": "<string>",
        "created": "2023-11-07T05:31:56Z",
        "name": "<string>",
        "shortName": "<string>",
        "memoNeeded": true,
        "explorerUrl": "<string>",
        "addressUrl": "<string>",
        "kind": "<string>",
        "chainId": 123,
        "enabled": true,
        "shortNameV1": "<string>",
        "modified": "2023-11-07T05:31:56Z",
        "hashUrl": "<string>",
        "priority": 123
      },
      "description": "<string>",
      "decimals": 0,
      "symbol": "",
      "name": "",
      "modified": "2023-11-07T05:31:56Z",
      "mainnet": true,
      "enabled": true,
      "unverified": true,
      "hasDex": true,
      "hasCex": true,
      "cexTokenId": "",
      "rank": 123,
      "cgId": "<string>",
      "marketCapChange24h": 123,
      "circulatingSupply": 123,
      "price": 123,
      "marketCap": 123,
      "volume": 123,
      "fdv": 123,
      "change": 123,
      "priority": 123,
      "warningMessage": "<string>",
      "minMax": {
        "anon": [
          123
        ],
        "cex": [
          123
        ],
        "dex": [
          123
        ]
      }
    }
  ],
  "total": 123,
  "totalPages": 123
}

Authorizations

Authorization
string
header
required

Query Parameters

pageSize
number<double>
default:20

Number of results to return per page

Required range: 1 <= x <= 100
page
number<double>
default:1
Required range: 1 <= x <= 10000
term
string

Search term that matches against name, symbol, address, keyword, cexTokenId fields

Maximum string length: 100
chain
string

Filter by chain. Matches against token.chainData.shortName, e.g. "ethereum"

mainnet
boolean

Filter native/non-native tokens

hasCex
boolean

Filter tokens that support/don't support CEX swaps

hasDex
boolean

Filter tokens that support/don't support DEX swaps

address
string

Filter tokens by contract address

symbol
string

Filter tokens by symbol, matches against token.symbol field

Response

Success

tokens
object[]
required
total
number<double>
required
totalPages
number<double>
required